Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518878 - [REGRESSION]Cloud-init provision on RHEV
Summary: [REGRESSION]Cloud-init provision on RHEV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Beta 3
: 5.9.0
Assignee: Juan Hernández
QA Contact: Ilanit Stein
URL:
Whiteboard: regression:rhev
Depends On: 1518341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-29 17:05 UTC by Satoe Imaishi
Modified: 2018-03-06 15:26 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1518341
Environment:
Last Closed: 2018-03-06 15:26:17 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 159 None None None 2017-11-29 17:05:53 UTC

Comment 3 CFME Bot 2017-11-29 20:46:03 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-ovirt/commit/db5f8f4af4e6956a6b1159c58bef049e13a026c7

commit db5f8f4af4e6956a6b1159c58bef049e13a026c7
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Wed Nov 29 18:34:12 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Nov 29 12:07:55 2017 -0500

    Merge pull request #159 from jhernand/handle_correctly_cloud_init_script
    
    Handle correctly custom cloud-init script
    (cherry picked from commit 8b45e7f704cdd5355f4502ed3c44ef8731bb9831)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1518878

 .../infra_manager/ovirt_services/strategies/v4.rb  |  33 +++--
 .../strategies/update_cloud_init_spec.rb           | 161 +++++++++++++++++++++
 2 files changed, 184 insertions(+), 10 deletions(-)
 create mode 100644 spec/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/update_cloud_init_spec.rb

Comment 4 Ilanit Stein 2017-12-18 14:53:45 UTC
Verified on CFME-5.9.0.12/RHV-4.1.8.

* Template for provision:
using CFME-5.9.0.11 Template (OS type:RHEL-7),  cloud-init 0.7.9.

* Customization Template:
Using CFME: Compute->Infrastructure->PXE: 
Customization Template (Image Type:	RHEL-6, Type:CloudInit),
with content:
write_files:
- path: "/tmp/test.txt"
  content: Here is a line.

Test flow:
On CFME, run VM provision from Template (CFME-5.9.0.11), Native,
in the Customize tab choose the above customization template.

Test results:
Script was passed to RHV side: In Edit VM dialog:
Use cloud init option is checked, 
and custom script contain the above Customization Template content.
Also File /tmp/test.txt was created, with: "Here is a line." content.


Note You need to log in before you can comment on or make changes to this bug.